### Hierarchy

- IEmitter
  - IPageRangesCollection

### Implemented by

- Ranges

## Index

### Properties

- EVENT_UPDATED
- TYPE_PERMISSION_RANGE
- addRange
- emit
- off
- on
- parse
- ranges
- register
- removeRange
- save
- setRanges
- unRegister

### Methods

- removeEvent
- removeEvents

## Properties

### EVENT_UPDATED

EVENT_UPDATED: string

- Defined in Page/Range.ts:133

### TYPE_PERMISSION_RANGE

TYPE_PERMISSION_RANGE: string

- Defined in Page/Range.ts:132

### addRange

addRange: function

- Defined in Page/Range.ts:136

#### Type declaration

- - (range: IPageRangeItem): this

  - #### Parameters

    - ##### range: IPageRangeItem

    #### Returns this

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### parse

parse: function

- Defined in Page/Range.ts:139

#### Type declaration

- - (pageAccessRights: string): IPageRangeItem[]

  - #### Parameters

    - ##### pageAccessRights: string

    #### Returns IPageRangeItem[]

### ranges

ranges: IPageRangeItem[]

- Defined in Page/Range.ts:134

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### removeRange

removeRange: function

- Defined in Page/Range.ts:137

#### Type declaration

- - (rangeName: string): this

  - #### Parameters

    - ##### rangeName: string

    #### Returns this

### save

save: function

- Defined in Page/Range.ts:138

#### Type declaration

- - (): Promise<any>

  - #### Returns Promise<any>

### setRanges

setRanges: function

- Defined in Page/Range.ts:135

#### Type declaration

- - (ranges: IPageRangeItem[]): this

  - #### Parameters

    - ##### ranges: IPageRangeItem[]

    #### Returns this

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc